/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.POJO;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 测试点中间表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-12-15 17:46:49  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "测试点中间表")
public class MidTestPoint implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_completed = "completed";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_total = "total";
  public static final String KEY_uncompleted = "uncompleted";

  /**
   * <br>
   */
  @ApiModelProperty("")
  private Long id;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 50, message="租户id-tenantId: 数据长度不能 > 50" )
  private String tenantId;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 50, message="系统id-projectId: 数据长度不能 > 50" )
  private String projectId;
  /**
   * 已完成数量<br>
   */
  @ApiModelProperty("已完成数量")
  private Integer completed;
  /**
   * 创建日期<br>
   */
  @ApiModelProperty("创建日期")
  private Date createdTime;
  /**
   * 总数<br>
   */
  @ApiModelProperty("总数")
  private Integer total;
  /**
   * 未完成数量<br>
   */
  @ApiModelProperty("未完成数量")
  private Integer uncompleted;

  /**
   * <br>
   */
  public Long getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(Long id)
  {
      this.id = id;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 系统id<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统id<br>
   *
   * @param projectId 系统id
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 已完成数量<br>
   */
  public Integer getCompleted()
  {
      return completed;
    }

  /**
   * 已完成数量<br>
   *
   * @param completed 已完成数量
   */
  public void setCompleted(Integer completed)
  {
      this.completed = completed;
    }
  /**
   * 创建日期<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建日期<br>
   *
   * @param createdTime 创建日期
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 总数<br>
   */
  public Integer getTotal()
  {
      return total;
    }

  /**
   * 总数<br>
   *
   * @param total 总数
   */
  public void setTotal(Integer total)
  {
      this.total = total;
    }
  /**
   * 未完成数量<br>
   */
  public Integer getUncompleted()
  {
      return uncompleted;
    }

  /**
   * 未完成数量<br>
   *
   * @param uncompleted 未完成数量
   */
  public void setUncompleted(Integer uncompleted)
  {
      this.uncompleted = uncompleted;
    }

  public MidTestPoint()
  {
  }

}
